START NOPAGE NOLIST
;*****************************************************************************
;
;	GLAMAS.DSC	General Ledger Master File definition.
;
;	SIM Automated Business System.
;
;	Written by Tom Hale, John Dudeck.
;	SIM International, Charlotte, NC 28217
;
;*****************************************************************************
;
;	Updated to General Ledger Release V5.2
;	London, Sept, 1988	JRD
;
;	Revisions:
;	13-Sep-88	London		JRD
;	Separated this file from GLFILE.DSC for use by Donor package.
;
;*****************************************************************************
;
; General Ledger Account MASter holds the chart of accounts.  This is the
;	basis of the entire accounting package.  Everything that interfaces
;	with the General Ledger checks this file to ascertain that there is
;	a valid account with the desired number.
;
;		File Name: GL2:GLAMAS.ISM
;		Type: ISAM
;		Record Length:	352
;		Key Length: 14
;		Key Position: 1
;		No duplicates, ascending sequence
;
RECORD GLAMAS
                ,A2		; COMPANY NUMBER
    ACTNO	,D12		; Account Number
    GLDSCR	,A30		; Account Description
    FSTCDE	,A6		; Main Financial Statement Code
    SCHCDE	,4A7		; Four Supporting Schedule Codes
    PAREN	,A1		; Parenthesis Control (Debit or Credit)
    BUDGET	,13D9		; Thirteen budgets (for thirteen periods)
    PYRCOM	,14D11		; Fourteen Prior Year Amounts
                                ;   First is total for two years ago
                                ;   Next thirteen are for prior year
    DPTMT   	,A2		; Department Code
RECORD ,X
    GLKEY	,A14		; Record Key
;
START NOPAGE LIST
