START NOPAGE NOLIST
;*****************************************************************************
;
;	RPTSEQ.DSC	Include file for G/L report generating programs.
;
;	SIM Automated Business System.
;
;	Written by Tom Hale, John Dudeck.
;	SIM International, Charlotte, NC 28217
;
;*****************************************************************************
;
;	Updated to General Ledger Release V5.2
;	California, June, 1987	JRD
;
;*****************************************************************************
;
; REPORT is a temporary sequential file that holds much of the information
;	for the report generator.
;
RECORD REPORT
    STRDAT	,D6		; The Starting Date
    ENDAT	,D6		; The Ending Date
    STRPRD	,D2		; The Starting Period
    ENDPRD	,D2		; The Ending Period
    ACC		,D6		; The Accounting Centers to be Reported
    CMPFLG	,D1		; Does User want Prior Year Comparisons
    INEFLG	,D1		; Does User want Income and Expense Stmt
    BLSFLG	,D1		; Does User want Balance Sheet
    SCHFLG	,D1		; Does user want Financial Schedules
    CURFLG	,D1		; Does user want current period info
    CURNCY	,A3		; Currency that te Report is to be written
    RPTRATE	,D11		; Rate of Exchange between base and CURNCY
    RPTMASK 	,A15		; Mask to be used for currency being reported
;
; PRimarY report is a TeMPorary file set up with the sorted index of all
;	of the accounts to be included in the main reports.
;
RECORD PRYTMP
    YFSCDE	,A6		; The Financial Statement CoDE
    YACTNO	,D12		; The ACcounT Number
    YACREC	,A14		; The ACcount RECord
;
; SCHedule report is a TeMPorary file that includes the sorted index for all
;	of the desired supplementary schedule codes.
;
RECORD SCHTMP
    TGSCDE	,A7		; The Schedule Statement Code
    TGACNO	,D12		; The ACcount Number
    TGRCNO	,A14		; The GLAMAS ReCord Number
    CODENO	,D1		; Which Schedule Code in GLAMAS
;
; SLS TeMPorary includes some of the inter-program subtotals, such as
;	the Ratio information and Income and Expense Nets.
;
RECORD SLSTMP
    NETPNL	,D10		; Income and Expense Net
    LYRPNL	,D10		; Previous Year Income and Expense Net
    SRSCUR	,D10
    SRPRCR	,D10
    BUDCUR	,D10
    BUDYR	,D10
START NOPAGE LIST
